%define upstream_name       Net-ext
%define upstream_version    1.011

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
Summary:	Net-ext module for perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
# http://rt.cpan.org/Public/Bug/Display.html?id=43071
Patch:		Net-ext-fix-segfault.patch

BuildRequires:	perl-devel
#BuildArch:	noarch


%description
Net-ext module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.11.0-14.mga6
+ Revision: 1031068
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.11.0-13.mga6
+ Revision: 957797
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.11.0-12.mga6
+ Revision: 845047
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.11.0-11.mga6
+ Revision: 842502
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.11.0-10.mga5
+ Revision: 739516
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.0-9.mga5
+ Revision: 685748
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.11.0-8.mga5
+ Revision: 631528
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.11.0-7.mga4
+ Revision: 524952
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.11.0-6.mga4
+ Revision: 431688
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.11.0-5.mga3
+ Revision: 370985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.11.0-4.mga3
+ Revision: 250989
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.11.0-3.mga2
+ Revision: 104829
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.11.0-2.mga1
+ Revision: 30983
- mageia rebuild
- imported package perl-Net-ext


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.11.0-2mdv2011.0
+ Revision: 556018
- rebuild for perl 5.12

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.0-1mdv2010.0
+ Revision: 438679
- use new perl_version macro
- fix 5.10 compatibility (RT patch)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.011-4mdv2008.0
+ Revision: 25449
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.011-3mdv2008.0
+ Revision: 25278
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.011-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.011-1mdk
- initial Mandriva package

